%define debug_package %{nil} 

%if 0%{?centos} == 6
%global         with_python2 1
%endif

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libluksde
Version:	20231204
Release:	1%{?dist}
Summary:	Library to access the Linux Unified Key Setup (LUKS) Disk Encryption format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libluksde
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl       
BuildRequires:	openssl-devel       

%description
Library to access the Linux Unified Key Setup (LUKS) Disk Encryption format

%package devel
Summary: Header files and libraries for developing applications for libluksde
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libluksde.

%if 0%{?with_python2}
%package python2
Summary: Python 2 bindings for libluksde
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libluksde
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libluksde
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%if ! 0%{?with_python2}
Obsoletes:	python2-%{name} <= %{version}
%endif

%description python%{python3_pkgversion}
Python 3 bindings for libluksde
%endif

%package tools
Summary: Several tools for reading Linux Unified Key Setup (LUKS) Disk Encryption volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description tools
Several tools for reading Linux Unified Key Setup (LUKS) Disk Encryption volumes

%prep
%setup -q

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%files tools
%defattr(644,root,root,755)
%if 0%{?centos} != 6
%license COPYING
%endif
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Dec 04 2023 Lawrence R. Rogers <lrr@cert.org> 20231204-1
* Release 20231204-1
	Version from 20231204

* Tue Nov 28 2023 Lawrence R. Rogers <lrr@cert.org> 20231128-1
* Release 20231128-1
	Version from 20231128

* Thu Nov 03 2022 Lawrence R. Rogers <lrr@cert.org> 20221103-1
* Release 20221103-1
	Version from 20221103

* Sun Aug  7 2022 Lawrence R. Rogers <lrr@cert.org> 20220807-1
* Release 20220807-1
	Version from 20220807

* Fri Jan 21 2022 Lawrence R. Rogers <lrr@cert.org> 20220121-1
* Release 20220121-1
	Version from 20220121

* Mon Apr 19 2021 Lawrence R. Rogers <lrr@cert.org> 20210419-1
* Release 20210419-1
	Version from 20210419

* Wed Feb  5 2020 Lawrence R. Rogers <lrr@cert.org> 20200205-1
* Release 20200205-1
	Version 20200205
	Python 2 version is now optional and off by default.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20180514-2
* Release 20180514-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7
		    -python package renamed -python2

* Mon May 14 2018 Joachim Metz <joachim.metz@gmail.com> 20180514-1
- Auto-generated

